# TTTT Analysis: fv Namespace Reference

fv Namespace Reference

The namespace containing all filval classes and functions. More...

## Classes

class | BoundValue
| A generic value owning only a function object. More...
class | ConstantValue
| A Value which always returns the same value, supplied in the constructor. More...
class | Container
class | ContainerMean
class | ContainerVector
class | Count
| Returns the count of elements in the input vector passing a test function. More...
class | DataSet
class | DerivedValue
| A generic, derived, value. More...
class | ElementOf
| Extract the element at a specific index from a vector. More...
class | Filter
class | Function
class | Function< R(ArgTypes...)>
| In order to enable proper provenance tracking, and at the same time keep the ability to embed functions into values, the Function class should be used. More...
class | GenContainer
class | GenFunction
| Parent class to all Function classes. More...
class | GenValue
class | Max
| Find and return the maximum value of a vector. More...
class | MaxIndex
| Find and return the maximum value of a vector and its index. More...
class | Mean
| Calculate the mean value of a vector. More...
class | Min
| Find and return the minimum value of a vector. More...
class | MinIndex
| Find and return the minimum value of a vector and its index. More...
class | ObservedValue
| A generic, observed, value. More...
class | Pair
| Creates a std::pair type from a two other Value objects. More...
class | PointerValue
| A Value of a pointer. More...
class | Range
| Calculate the range of the values in a vector. More...
class | RangeFilter
class | Reduce
| Reduce a Value of type vector<T> to just a T. More...
class | ReduceIndex
| Similar to Reduce, but returns a pair of a T and an int. More...
class | Value
| A generic value. More...
class | WrapperVector
| A std::vector wrapper around a C-style array. More...
class | ZipMapFour
| Takes a set of four Value<std::vector<T> > objects and a function of four Ts and returns a std::vector<R>. More...

## Typedefs

typedef std::map< std::string, GenContainer * > | ContainerSet
typedef std::map< std::string, GenValue * > | ValueSet

## Enumerations

enum | SaveOption { PNG = 0, PDF = 1, ROOT = 2 }

## Functions

std::ostream & | operator<< (std::ostream &os, GenValue &gv)

## Detailed Description

The namespace containing all filval classes and functions.